Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.uniquerowsbyhashset
Class UniqueRowsByHashSetData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.uniquerowsbyhashset.UniqueRowsByHashSetData

All Implemented Interfaces:
  StepDataInterface

    public class UniqueRowsByHashSetData

extends BaseStepData
implements StepDataInterface

Field Summary
`int[]` | `fieldnrs`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`HashSet<org.pentaho.di.trans.steps.uniquerowsbyhashset.RowKey>` | `seen`
`boolean` | `storeValues`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`UniqueRowsByHashSetData()`

Method Summary
`void` | `clearHashSet()`

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### storeValues

    public boolean storeValues

### fieldnrs

    public int[] fieldnrs

### seen

    public HashSet<org.pentaho.di.trans.steps.uniquerowsbyhashset.RowKey> seen

Constructor Detail

### UniqueRowsByHashSetData

    public UniqueRowsByHashSetData()

Method Detail

### clearHashSet

    public void clearHashSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD